/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.example.order.manager.service;

import java.util.Collection;

import org.bluestemsoftware.open.eoa.example.order.manager.service.vo.Item;

/**
 * Encapsulates logic related to the management of the order item catalog. Note that this
 * service does not expose a web-service interface but is instead accessed via the admin
 * web-application.
 */
public interface CatalogProcessor {

    public void addItem(Item item);

    public Collection<Item> getItems();

    public Item getItem(String itemID);

    public void removeItem(String itemID);

}
